Bug 216471 - system-config-display - rpm reports a lot of files missing
Summary: system-config-display - rpm reports a lot of files missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-20 17:54 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 18:18:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2006-11-20 17:54:12 UTC
Description of problem:

Try this:

# rpm -V system-config-display
missing     /usr/share/system-config-display/monitorDialog.pyc
missing     /usr/share/system-config-display/screenSizePreview.pyc
missing     /usr/share/system-config-display/videocardDialog.pyc
missing     /usr/share/system-config-display/xConfigDialog.pyc
missing     /usr/share/system-config-display/xconf.pyc

The problem seems to caused here:
# rpm -q --scripts system-config-display
....
preuninstall scriptlet (using /bin/sh):
if [ -d /usr/share/system-config-display ] ; then
  rm -rf /usr/share/system-config-display/*.pyc
fi
....

Now when doing a yum update first yum is putting a new version
and later is getting into a "Cleanup" phase with an old version
and all *.pyc files are gone regardless of an owner package.

If these files are not really needed then why they are removed
only in "preuninstall" and can they have %ghost markings in specs?

Version-Release number of selected component (if applicable):
system-config-display-1.0.45-1

Comment 1 Adam Jackson 2007-03-22 18:17:35 UTC
Will be fixed in 1.0.49-1


Note You need to log in before you can comment on or make changes to this bug.